package com.ruoyi.web.stock.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 相经营业绩填报。
 */
public class WarehouseOperPerf extends BaseEntity {

    private static final long serialVersionUID = 1L;

    private Long id;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date feeDate;

    private String sheetNo;

    private BigDecimal rebHead;

    private BigDecimal othInc;

    private BigDecimal othExp;

    private BigDecimal taxSurch;

    private BigDecimal impairLoss;

    private BigDecimal nonopInc;

    private BigDecimal nonopExp;

    private BigDecimal incTaxExp;

    private BigDecimal freightBills;

    private String delFlag;

    private String orgId;

    public Long getId() { return id; }
    public void setId(Long id) { this.id = id; }

    public Date getFeeDate() { return feeDate; }
    public void setFeeDate(Date feeDate) { this.feeDate = feeDate; }

    public String getSheetNo() { return sheetNo; }
    public void setSheetNo(String sheetNo) { this.sheetNo = sheetNo; }

    public BigDecimal getRebHead() { return rebHead; }
    public void setRebHead(BigDecimal rebHead) { this.rebHead = rebHead; }

    public BigDecimal getOthInc() { return othInc; }
    public void setOthInc(BigDecimal othInc) { this.othInc = othInc; }

    public BigDecimal getOthExp() { return othExp; }
    public void setOthExp(BigDecimal othExp) { this.othExp = othExp; }

    public BigDecimal getTaxSurch() { return taxSurch; }
    public void setTaxSurch(BigDecimal taxSurch) { this.taxSurch = taxSurch; }

    public BigDecimal getImpairLoss() { return impairLoss; }
    public void setImpairLoss(BigDecimal impairLoss) { this.impairLoss = impairLoss; }

    public BigDecimal getNonopInc() { return nonopInc; }
    public void setNonopInc(BigDecimal nonopInc) { this.nonopInc = nonopInc; }

    public BigDecimal getNonopExp() { return nonopExp; }
    public void setNonopExp(BigDecimal nonopExp) { this.nonopExp = nonopExp; }

    public BigDecimal getIncTaxExp() { return incTaxExp; }
    public void setIncTaxExp(BigDecimal incTaxExp) { this.incTaxExp = incTaxExp; }

    public BigDecimal getFreightBills() { return freightBills; }
    public void setFreightBills(BigDecimal freightBills) { this.freightBills = freightBills; }

    public String getDelFlag() { return delFlag; }
    public void setDelFlag(String delFlag) { this.delFlag = delFlag; }

    public String getOrgId() { return orgId; }
    public void setOrgId(String orgId) { this.orgId = orgId; }
}

